// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		0C58E45538A6407BEFAA722E /* Pods_WeatherApp.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = BCB5E104311A6D04C36CA613 /* Pods_WeatherApp.framework */; };
		5BA7E428DD7A530C53F98BE8 /* Pods_WeatherAppTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 2968417B77B0D80FB96B4048 /* Pods_WeatherAppTests.framework */; };
		5C348CC92437FCD2002E3003 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CC82437FCD2002E3003 /* AppDelegate.swift */; };
		5C348CCD2437FCD2002E3003 /* HomeViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CCC2437FCD2002E3003 /* HomeViewController.swift */; };
		5C348CD02437FCD2002E3003 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5C348CCE2437FCD2002E3003 /* Main.storyboard */; };
		5C348CD32437FCD2002E3003 /* WeatherApp.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CD12437FCD2002E3003 /* WeatherApp.xcdatamodeld */; };
		5C348CD52437FCD4002E3003 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5C348CD42437FCD4002E3003 /* Assets.xcassets */; };
		5C348CD82437FCD4002E3003 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5C348CD62437FCD4002E3003 /* LaunchScreen.storyboard */; };
		5C348CF42438078D002E3003 /* Network.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CF32438078D002E3003 /* Network.swift */; };
		5C348CF624380903002E3003 /* NetworkProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CF524380903002E3003 /* NetworkProvider.swift */; };
		5C348CFD24383F6E002E3003 /* WeatherInformation.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CFC24383F6E002E3003 /* WeatherInformation.swift */; };
		5C348D04243847BD002E3003 /* Sys.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CFE243847BC002E3003 /* Sys.swift */; };
		5C348D05243847BD002E3003 /* Cloud.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CFF243847BC002E3003 /* Cloud.swift */; };
		5C348D06243847BD002E3003 /* Weather.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D00243847BD002E3003 /* Weather.swift */; };
		5C348D07243847BD002E3003 /* Wind.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D01243847BD002E3003 /* Wind.swift */; };
		5C348D08243847BD002E3003 /* Coord.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D02243847BD002E3003 /* Coord.swift */; };
		5C348D09243847BD002E3003 /* Main.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D03243847BD002E3003 /* Main.swift */; };
		5C348D0B24384AA3002E3003 /* City.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D0A24384AA3002E3003 /* City.swift */; };
		5C348D0E24384DA9002E3003 /* WeatherApi.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D0D24384DA9002E3003 /* WeatherApi.swift */; };
		5C348D1224384F2E002E3003 /* WeatherApiTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D1124384F2E002E3003 /* WeatherApiTests.swift */; };
		5C348D1824385B48002E3003 /* FileManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D1724385B48002E3003 /* FileManager.swift */; };
		5C348D1F243863B2002E3003 /* sydney.json in Resources */ = {isa = PBXBuildFile; fileRef = 5C348D142438594B002E3003 /* sydney.json */; };
		5C348D20243863B2002E3003 /* melbourne.json in Resources */ = {isa = PBXBuildFile; fileRef = 5C348D15243859BB002E3003 /* melbourne.json */; };
		5C348D2324397542002E3003 /* HomeTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D2224397542002E3003 /* HomeTableViewCell.swift */; };
		5C348D2624397596002E3003 /* HomeItemViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D2524397596002E3003 /* HomeItemViewModel.swift */; };
		5C348D2A24397F60002E3003 /* HomeViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D2924397F60002E3003 /* HomeViewModel.swift */; };
		5C348D2D243995D3002E3003 /* HomeViewModelTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D2C243995D3002E3003 /* HomeViewModelTests.swift */; };
		5C348D3124399785002E3003 /* TestData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D3024399785002E3003 /* TestData.swift */; };
		5C348D342439B93D002E3003 /* ActivityIndicator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D332439B93D002E3003 /* ActivityIndicator.swift */; };
		5C348D362439CA88002E3003 /* HomeNavigator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D352439CA88002E3003 /* HomeNavigator.swift */; };
		5C348D382439CD34002E3003 /* Application.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D372439CD34002E3003 /* Application.swift */; };
		5C348D3A2439CF3E002E3003 /* Reusable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D392439CF3E002E3003 /* Reusable.swift */; };
		5C348D3D243A8ECB002E3003 /* AddCityNavigator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D3C243A8ECB002E3003 /* AddCityNavigator.swift */; };
		5C348D3F243A8ED4002E3003 /* AddCityViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D3E243A8ED4002E3003 /* AddCityViewModel.swift */; };
		5C348D41243A8EDD002E3003 /* AddCityViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D40243A8EDD002E3003 /* AddCityViewController.swift */; };
		5C348D44243A8EE7002E3003 /* AddCityCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D43243A8EE7002E3003 /* AddCityCell.swift */; };
		5C348D47243A8EF7002E3003 /* AddCityItemViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348D46243A8EF7002E3003 /* AddCityItemViewModel.swift */; };
		5C348D49243A9948002E3003 /* citylist.json in Resources */ = {isa = PBXBuildFile; fileRef = 5C348D48243A9948002E3003 /* citylist.json */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		5C348CDF2437FCD4002E3003 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 5C348CBD2437FCD2002E3003 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5C348CC42437FCD2002E3003;
			remoteInfo = WeatherApp;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		24B2165B8809A753FDE623F7 /* Pods-WeatherAppTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherAppTests.debug.xcconfig"; path = "Target Support Files/Pods-WeatherAppTests/Pods-WeatherAppTests.debug.xcconfig"; sourceTree = "<group>"; };
		2968417B77B0D80FB96B4048 /* Pods_WeatherAppTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_WeatherAppTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		5C348CC52437FCD2002E3003 /* WeatherApp.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = WeatherApp.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5C348CC82437FCD2002E3003 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		5C348CCC2437FCD2002E3003 /* HomeViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewController.swift; sourceTree = "<group>"; };
		5C348CCF2437FCD2002E3003 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		5C348CD22437FCD2002E3003 /* WeatherApp.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = WeatherApp.xcdatamodel; sourceTree = "<group>"; };
		5C348CD42437FCD4002E3003 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5C348CD72437FCD4002E3003 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		5C348CD92437FCD4002E3003 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5C348CDE2437FCD4002E3003 /* WeatherAppTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = WeatherAppTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		5C348CE42437FCD4002E3003 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5C348CF32438078D002E3003 /* Network.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Network.swift; sourceTree = "<group>"; };
		5C348CF524380903002E3003 /* NetworkProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkProvider.swift; sourceTree = "<group>"; };
		5C348CFC24383F6E002E3003 /* WeatherInformation.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherInformation.swift; sourceTree = "<group>"; };
		5C348CFE243847BC002E3003 /* Sys.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Sys.swift; sourceTree = "<group>"; };
		5C348CFF243847BC002E3003 /* Cloud.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Cloud.swift; sourceTree = "<group>"; };
		5C348D00243847BD002E3003 /* Weather.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Weather.swift; sourceTree = "<group>"; };
		5C348D01243847BD002E3003 /* Wind.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Wind.swift; sourceTree = "<group>"; };
		5C348D02243847BD002E3003 /* Coord.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Coord.swift; sourceTree = "<group>"; };
		5C348D03243847BD002E3003 /* Main.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Main.swift; sourceTree = "<group>"; };
		5C348D0A24384AA3002E3003 /* City.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = City.swift; sourceTree = "<group>"; };
		5C348D0D24384DA9002E3003 /* WeatherApi.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherApi.swift; sourceTree = "<group>"; };
		5C348D1124384F2E002E3003 /* WeatherApiTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WeatherApiTests.swift; sourceTree = "<group>"; };
		5C348D142438594B002E3003 /* sydney.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = sydney.json; sourceTree = "<group>"; };
		5C348D15243859BB002E3003 /* melbourne.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = melbourne.json; sourceTree = "<group>"; };
		5C348D1724385B48002E3003 /* FileManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FileManager.swift; sourceTree = "<group>"; };
		5C348D2224397542002E3003 /* HomeTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeTableViewCell.swift; sourceTree = "<group>"; };
		5C348D2524397596002E3003 /* HomeItemViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeItemViewModel.swift; sourceTree = "<group>"; };
		5C348D2924397F60002E3003 /* HomeViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModel.swift; sourceTree = "<group>"; };
		5C348D2C243995D3002E3003 /* HomeViewModelTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModelTests.swift; sourceTree = "<group>"; };
		5C348D3024399785002E3003 /* TestData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TestData.swift; sourceTree = "<group>"; };
		5C348D332439B93D002E3003 /* ActivityIndicator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ActivityIndicator.swift; sourceTree = "<group>"; };
		5C348D352439CA88002E3003 /* HomeNavigator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeNavigator.swift; sourceTree = "<group>"; };
		5C348D372439CD34002E3003 /* Application.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Application.swift; sourceTree = "<group>"; };
		5C348D392439CF3E002E3003 /* Reusable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Reusable.swift; sourceTree = "<group>"; };
		5C348D3C243A8ECB002E3003 /* AddCityNavigator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCityNavigator.swift; sourceTree = "<group>"; };
		5C348D3E243A8ED4002E3003 /* AddCityViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCityViewModel.swift; sourceTree = "<group>"; };
		5C348D40243A8EDD002E3003 /* AddCityViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCityViewController.swift; sourceTree = "<group>"; };
		5C348D43243A8EE7002E3003 /* AddCityCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCityCell.swift; sourceTree = "<group>"; };
		5C348D46243A8EF7002E3003 /* AddCityItemViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddCityItemViewModel.swift; sourceTree = "<group>"; };
		5C348D48243A9948002E3003 /* citylist.json */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.json; path = citylist.json; sourceTree = "<group>"; };
		B54C9D6DDBEDE4DB54D6D83D /* Pods-WeatherApp.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherApp.release.xcconfig"; path = "Target Support Files/Pods-WeatherApp/Pods-WeatherApp.release.xcconfig"; sourceTree = "<group>"; };
		BCB5E104311A6D04C36CA613 /* Pods_WeatherApp.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_WeatherApp.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		C0F1AA1E279F57B78B039AD7 /* Pods-WeatherAppTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherAppTests.release.xcconfig"; path = "Target Support Files/Pods-WeatherAppTests/Pods-WeatherAppTests.release.xcconfig"; sourceTree = "<group>"; };
		CF182B5F52D7AB918A0D1098 /* Pods-WeatherApp.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-WeatherApp.debug.xcconfig"; path = "Target Support Files/Pods-WeatherApp/Pods-WeatherApp.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5C348CC22437FCD2002E3003 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0C58E45538A6407BEFAA722E /* Pods_WeatherApp.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348CDB2437FCD4002E3003 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5BA7E428DD7A530C53F98BE8 /* Pods_WeatherAppTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5C348CBC2437FCD2002E3003 = {
			isa = PBXGroup;
			children = (
				5C348CC72437FCD2002E3003 /* WeatherApp */,
				5C348CE12437FCD4002E3003 /* WeatherAppTests */,
				5C348CC62437FCD2002E3003 /* Products */,
				659279007F9788242314326C /* Pods */,
				F423BA3396C8C38992CD6AB5 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		5C348CC62437FCD2002E3003 /* Products */ = {
			isa = PBXGroup;
			children = (
				5C348CC52437FCD2002E3003 /* WeatherApp.app */,
				5C348CDE2437FCD4002E3003 /* WeatherAppTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5C348CC72437FCD2002E3003 /* WeatherApp */ = {
			isa = PBXGroup;
			children = (
				5C348CED243804A8002E3003 /* Application */,
				5C348CEE243804B6002E3003 /* Data */,
				5C348D1624385B04002E3003 /* FileManager */,
				5C348CFB24383F4D002E3003 /* Model */,
				5C348CF22438075E002E3003 /* Network */,
				5C348CF0243804DD002E3003 /* Resources */,
				5C348CEF243804CB002E3003 /* Scenes */,
				5C348D322439B922002E3003 /* Utility */,
				5C348CD62437FCD4002E3003 /* LaunchScreen.storyboard */,
				5C348CD92437FCD4002E3003 /* Info.plist */,
			);
			path = WeatherApp;
			sourceTree = "<group>";
		};
		5C348CE12437FCD4002E3003 /* WeatherAppTests */ = {
			isa = PBXGroup;
			children = (
				5C348D2F2439977A002E3003 /* Common */,
				5C348D2B243995A2002E3003 /* ViewModel */,
				5C348D0F24384F1A002E3003 /* Network */,
				5C348CE42437FCD4002E3003 /* Info.plist */,
			);
			path = WeatherAppTests;
			sourceTree = "<group>";
		};
		5C348CED243804A8002E3003 /* Application */ = {
			isa = PBXGroup;
			children = (
				5C348CC82437FCD2002E3003 /* AppDelegate.swift */,
				5C348D372439CD34002E3003 /* Application.swift */,
			);
			path = Application;
			sourceTree = "<group>";
		};
		5C348CEE243804B6002E3003 /* Data */ = {
			isa = PBXGroup;
			children = (
				5C348CD12437FCD2002E3003 /* WeatherApp.xcdatamodeld */,
			);
			path = Data;
			sourceTree = "<group>";
		};
		5C348CEF243804CB002E3003 /* Scenes */ = {
			isa = PBXGroup;
			children = (
				5C348CCE2437FCD2002E3003 /* Main.storyboard */,
				5C348D3B243A8EA3002E3003 /* AddCity */,
				5C348CF1243804FB002E3003 /* Home */,
			);
			path = Scenes;
			sourceTree = "<group>";
		};
		5C348CF0243804DD002E3003 /* Resources */ = {
			isa = PBXGroup;
			children = (
				5C348D48243A9948002E3003 /* citylist.json */,
				5C348D1324385939002E3003 /* MockData */,
				5C348CD42437FCD4002E3003 /* Assets.xcassets */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		5C348CF1243804FB002E3003 /* Home */ = {
			isa = PBXGroup;
			children = (
				5C348D242439758A002E3003 /* ItemViewModels */,
				5C348D2124397530002E3003 /* Cells */,
				5C348CCC2437FCD2002E3003 /* HomeViewController.swift */,
				5C348D2924397F60002E3003 /* HomeViewModel.swift */,
				5C348D352439CA88002E3003 /* HomeNavigator.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		5C348CF22438075E002E3003 /* Network */ = {
			isa = PBXGroup;
			children = (
				5C348D0C24384D92002E3003 /* API */,
				5C348CF32438078D002E3003 /* Network.swift */,
				5C348CF524380903002E3003 /* NetworkProvider.swift */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		5C348CFB24383F4D002E3003 /* Model */ = {
			isa = PBXGroup;
			children = (
				5C348CFF243847BC002E3003 /* Cloud.swift */,
				5C348D02243847BD002E3003 /* Coord.swift */,
				5C348D03243847BD002E3003 /* Main.swift */,
				5C348CFE243847BC002E3003 /* Sys.swift */,
				5C348CFC24383F6E002E3003 /* WeatherInformation.swift */,
				5C348D00243847BD002E3003 /* Weather.swift */,
				5C348D01243847BD002E3003 /* Wind.swift */,
				5C348D0A24384AA3002E3003 /* City.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		5C348D0C24384D92002E3003 /* API */ = {
			isa = PBXGroup;
			children = (
				5C348D0D24384DA9002E3003 /* WeatherApi.swift */,
			);
			path = API;
			sourceTree = "<group>";
		};
		5C348D0F24384F1A002E3003 /* Network */ = {
			isa = PBXGroup;
			children = (
				5C348D1024384F1E002E3003 /* API */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		5C348D1024384F1E002E3003 /* API */ = {
			isa = PBXGroup;
			children = (
				5C348D1124384F2E002E3003 /* WeatherApiTests.swift */,
			);
			path = API;
			sourceTree = "<group>";
		};
		5C348D1324385939002E3003 /* MockData */ = {
			isa = PBXGroup;
			children = (
				5C348D142438594B002E3003 /* sydney.json */,
				5C348D15243859BB002E3003 /* melbourne.json */,
			);
			path = MockData;
			sourceTree = "<group>";
		};
		5C348D1624385B04002E3003 /* FileManager */ = {
			isa = PBXGroup;
			children = (
				5C348D1724385B48002E3003 /* FileManager.swift */,
			);
			path = FileManager;
			sourceTree = "<group>";
		};
		5C348D2124397530002E3003 /* Cells */ = {
			isa = PBXGroup;
			children = (
				5C348D2224397542002E3003 /* HomeTableViewCell.swift */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		5C348D242439758A002E3003 /* ItemViewModels */ = {
			isa = PBXGroup;
			children = (
				5C348D2524397596002E3003 /* HomeItemViewModel.swift */,
			);
			path = ItemViewModels;
			sourceTree = "<group>";
		};
		5C348D2B243995A2002E3003 /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				5C348D2E243995D8002E3003 /* Home */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		5C348D2E243995D8002E3003 /* Home */ = {
			isa = PBXGroup;
			children = (
				5C348D2C243995D3002E3003 /* HomeViewModelTests.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		5C348D2F2439977A002E3003 /* Common */ = {
			isa = PBXGroup;
			children = (
				5C348D3024399785002E3003 /* TestData.swift */,
			);
			path = Common;
			sourceTree = "<group>";
		};
		5C348D322439B922002E3003 /* Utility */ = {
			isa = PBXGroup;
			children = (
				5C348D332439B93D002E3003 /* ActivityIndicator.swift */,
				5C348D392439CF3E002E3003 /* Reusable.swift */,
			);
			path = Utility;
			sourceTree = "<group>";
		};
		5C348D3B243A8EA3002E3003 /* AddCity */ = {
			isa = PBXGroup;
			children = (
				5C348D45243A8EEB002E3003 /* ItemViewModels */,
				5C348D42243A8EDF002E3003 /* Cells */,
				5C348D3C243A8ECB002E3003 /* AddCityNavigator.swift */,
				5C348D3E243A8ED4002E3003 /* AddCityViewModel.swift */,
				5C348D40243A8EDD002E3003 /* AddCityViewController.swift */,
			);
			path = AddCity;
			sourceTree = "<group>";
		};
		5C348D42243A8EDF002E3003 /* Cells */ = {
			isa = PBXGroup;
			children = (
				5C348D43243A8EE7002E3003 /* AddCityCell.swift */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		5C348D45243A8EEB002E3003 /* ItemViewModels */ = {
			isa = PBXGroup;
			children = (
				5C348D46243A8EF7002E3003 /* AddCityItemViewModel.swift */,
			);
			path = ItemViewModels;
			sourceTree = "<group>";
		};
		659279007F9788242314326C /* Pods */ = {
			isa = PBXGroup;
			children = (
				CF182B5F52D7AB918A0D1098 /* Pods-WeatherApp.debug.xcconfig */,
				B54C9D6DDBEDE4DB54D6D83D /* Pods-WeatherApp.release.xcconfig */,
				24B2165B8809A753FDE623F7 /* Pods-WeatherAppTests.debug.xcconfig */,
				C0F1AA1E279F57B78B039AD7 /* Pods-WeatherAppTests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		F423BA3396C8C38992CD6AB5 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				BCB5E104311A6D04C36CA613 /* Pods_WeatherApp.framework */,
				2968417B77B0D80FB96B4048 /* Pods_WeatherAppTests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5C348CC42437FCD2002E3003 /* WeatherApp */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5C348CE72437FCD4002E3003 /* Build configuration list for PBXNativeTarget "WeatherApp" */;
			buildPhases = (
				AF5336C6C4A727A2EC01B185 /* [CP] Check Pods Manifest.lock */,
				5C348CC12437FCD2002E3003 /* Sources */,
				5C348CC22437FCD2002E3003 /* Frameworks */,
				5C348CC32437FCD2002E3003 /* Resources */,
				CB053129823077FD33E46679 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = WeatherApp;
			productName = WeatherApp;
			productReference = 5C348CC52437FCD2002E3003 /* WeatherApp.app */;
			productType = "com.apple.product-type.application";
		};
		5C348CDD2437FCD4002E3003 /* WeatherAppTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5C348CEA2437FCD4002E3003 /* Build configuration list for PBXNativeTarget "WeatherAppTests" */;
			buildPhases = (
				0F29AC15B31A52DACEF4D625 /* [CP] Check Pods Manifest.lock */,
				5C348CDA2437FCD4002E3003 /* Sources */,
				5C348CDB2437FCD4002E3003 /* Frameworks */,
				5C348CDC2437FCD4002E3003 /* Resources */,
				B4942CEC0FC9D15CC0A43EB3 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				5C348CE02437FCD4002E3003 /* PBXTargetDependency */,
			);
			name = WeatherAppTests;
			productName = WeatherAppTests;
			productReference = 5C348CDE2437FCD4002E3003 /* WeatherAppTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5C348CBD2437FCD2002E3003 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1140;
				LastUpgradeCheck = 1140;
				ORGANIZATIONNAME = hassaneskandari;
				TargetAttributes = {
					5C348CC42437FCD2002E3003 = {
						CreatedOnToolsVersion = 11.4;
					};
					5C348CDD2437FCD4002E3003 = {
						CreatedOnToolsVersion = 11.4;
						TestTargetID = 5C348CC42437FCD2002E3003;
					};
				};
			};
			buildConfigurationList = 5C348CC02437FCD2002E3003 /* Build configuration list for PBXProject "WeatherApp" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5C348CBC2437FCD2002E3003;
			productRefGroup = 5C348CC62437FCD2002E3003 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5C348CC42437FCD2002E3003 /* WeatherApp */,
				5C348CDD2437FCD4002E3003 /* WeatherAppTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5C348CC32437FCD2002E3003 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348D1F243863B2002E3003 /* sydney.json in Resources */,
				5C348D20243863B2002E3003 /* melbourne.json in Resources */,
				5C348D49243A9948002E3003 /* citylist.json in Resources */,
				5C348CD82437FCD4002E3003 /* LaunchScreen.storyboard in Resources */,
				5C348CD52437FCD4002E3003 /* Assets.xcassets in Resources */,
				5C348CD02437FCD2002E3003 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348CDC2437FCD4002E3003 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0F29AC15B31A52DACEF4D625 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-WeatherAppTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		AF5336C6C4A727A2EC01B185 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-WeatherApp-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		B4942CEC0FC9D15CC0A43EB3 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherAppTests/Pods-WeatherAppTests-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherAppTests/Pods-WeatherAppTests-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-WeatherAppTests/Pods-WeatherAppTests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		CB053129823077FD33E46679 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherApp/Pods-WeatherApp-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-WeatherApp/Pods-WeatherApp-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-WeatherApp/Pods-WeatherApp-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5C348CC12437FCD2002E3003 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348D1824385B48002E3003 /* FileManager.swift in Sources */,
				5C348D2A24397F60002E3003 /* HomeViewModel.swift in Sources */,
				5C348D342439B93D002E3003 /* ActivityIndicator.swift in Sources */,
				5C348D04243847BD002E3003 /* Sys.swift in Sources */,
				5C348D07243847BD002E3003 /* Wind.swift in Sources */,
				5C348CD32437FCD2002E3003 /* WeatherApp.xcdatamodeld in Sources */,
				5C348D362439CA88002E3003 /* HomeNavigator.swift in Sources */,
				5C348D47243A8EF7002E3003 /* AddCityItemViewModel.swift in Sources */,
				5C348CFD24383F6E002E3003 /* WeatherInformation.swift in Sources */,
				5C348D44243A8EE7002E3003 /* AddCityCell.swift in Sources */,
				5C348CCD2437FCD2002E3003 /* HomeViewController.swift in Sources */,
				5C348D0E24384DA9002E3003 /* WeatherApi.swift in Sources */,
				5C348D06243847BD002E3003 /* Weather.swift in Sources */,
				5C348D2624397596002E3003 /* HomeItemViewModel.swift in Sources */,
				5C348D3A2439CF3E002E3003 /* Reusable.swift in Sources */,
				5C348D09243847BD002E3003 /* Main.swift in Sources */,
				5C348D08243847BD002E3003 /* Coord.swift in Sources */,
				5C348CF42438078D002E3003 /* Network.swift in Sources */,
				5C348D382439CD34002E3003 /* Application.swift in Sources */,
				5C348D05243847BD002E3003 /* Cloud.swift in Sources */,
				5C348CC92437FCD2002E3003 /* AppDelegate.swift in Sources */,
				5C348D0B24384AA3002E3003 /* City.swift in Sources */,
				5C348D41243A8EDD002E3003 /* AddCityViewController.swift in Sources */,
				5C348D2324397542002E3003 /* HomeTableViewCell.swift in Sources */,
				5C348CF624380903002E3003 /* NetworkProvider.swift in Sources */,
				5C348D3D243A8ECB002E3003 /* AddCityNavigator.swift in Sources */,
				5C348D3F243A8ED4002E3003 /* AddCityViewModel.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348CDA2437FCD4002E3003 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348D3124399785002E3003 /* TestData.swift in Sources */,
				5C348D1224384F2E002E3003 /* WeatherApiTests.swift in Sources */,
				5C348D2D243995D3002E3003 /* HomeViewModelTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		5C348CE02437FCD4002E3003 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5C348CC42437FCD2002E3003 /* WeatherApp */;
			targetProxy = 5C348CDF2437FCD4002E3003 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		5C348CCE2437FCD2002E3003 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5C348CCF2437FCD2002E3003 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		5C348CD62437FCD4002E3003 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5C348CD72437FCD4002E3003 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		5C348CE52437FCD4002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5C348CE62437FCD4002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5C348CE82437FCD4002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = CF182B5F52D7AB918A0D1098 /* Pods-WeatherApp.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = WeatherApp/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.WeatherApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5C348CE92437FCD4002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B54C9D6DDBEDE4DB54D6D83D /* Pods-WeatherApp.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = WeatherApp/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.WeatherApp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		5C348CEB2437FCD4002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 24B2165B8809A753FDE623F7 /* Pods-WeatherAppTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = WeatherAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.WeatherAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/WeatherApp.app/WeatherApp";
			};
			name = Debug;
		};
		5C348CEC2437FCD4002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = C0F1AA1E279F57B78B039AD7 /* Pods-WeatherAppTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = WeatherAppTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.WeatherAppTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/WeatherApp.app/WeatherApp";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5C348CC02437FCD2002E3003 /* Build configuration list for PBXProject "WeatherApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348CE52437FCD4002E3003 /* Debug */,
				5C348CE62437FCD4002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5C348CE72437FCD4002E3003 /* Build configuration list for PBXNativeTarget "WeatherApp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348CE82437FCD4002E3003 /* Debug */,
				5C348CE92437FCD4002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5C348CEA2437FCD4002E3003 /* Build configuration list for PBXNativeTarget "WeatherAppTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348CEB2437FCD4002E3003 /* Debug */,
				5C348CEC2437FCD4002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		5C348CD12437FCD2002E3003 /* WeatherApp.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				5C348CD22437FCD2002E3003 /* WeatherApp.xcdatamodel */,
			);
			currentVersion = 5C348CD22437FCD2002E3003 /* WeatherApp.xcdatamodel */;
			path = WeatherApp.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 5C348CBD2437FCD2002E3003 /* Project object */;
}
